ext.alwaysLib = true //虽然apply了cc-settings-2.gradle，但一直作为library编译，否则别的组件依赖此module时会报错
apply from: rootProject.file("cc-settings.gradle")

version = QMUI_ARCH_VERSION

android {

    compileSdkVersion rootProject.ext.android["compileSdkVersion"]

    compileOptions {
        targetCompatibility JavaVersion.VERSION_1_8
        sourceCompatibility JavaVersion.VERSION_1_8
    }
    // 避免 lint 检测出错时停止构建
    lintOptions {
        abortOnError false
    }
    defaultConfig {
        minSdkVersion rootProject.ext.android["minSdkVersion"]
        targetSdkVersion rootProject.ext.android["targetSdkVersion"]
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }

}

dependencies {
    testImplementation 'junit:junit:4.12'
    api rootProject.ext.dependencies["appcompat-v7"]
    api "androidx.fragment:fragment:1.2.0"
    api project(':qm-arch-annotation')
    compileOnly project(':qm-qmui')
//    lintChecks project(':qm-lintrule')
}

// deploy
File deployConfig = rootProject.file('gradle/deploy.properties')
if (deployConfig.exists()) {
    apply from: rootProject.file('gradle/deploy.gradle')
}
